Name:          java-testng
Version:       7.6.1
Release:       1mamba
Summary:       A testing framework inspired from JUnit and NUnit
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://testng.org/doc/
Source:        https://github.com/cbeust/testng.git/%{version}/testng-%{version}.tar.bz2
License:       Apache License 2.0
Group:         Documentation
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: gradle
BuildRequires: javapackages
BuildRequires: java-environment

%description
TestNG is a testing framework inspired from JUnit and NUnit but introducing some new functionalities that make it more powerful and easier to use.

%prep
%setup -q -n testng-%{version}

%build
gradle --daemon clean build -x test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m644 \
    testng/build/libs/testng-%{version}-SNAPSHOT-all.jar \
    %{buildroot}%{_javadir}/testng/testng-%{version}.jar
	
(
	cd %{buildroot}%{_javadir}/testng
	for jar in *-%{version}*.jar; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_javadir}/testng
%{_javadir}/testng/testng-%{version}.jar
%{_javadir}/testng/testng.jar

%changelog
* Sat Oct 08 2022 Automatic Build System <autodist@mambasoft.it> 7.6.1-1mamba
- automatic version update by autodist

* Sun Jul 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 7.4.0-1mamba
- update to 7.4.0

* Sun Aug 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9-5mamba
- testng-maven-plugin: require apache-maven2 insted of apache-maven to fix dependencies. Will test this better later

* Thu Nov 25 2010 gil <puntogil@libero.it> 5.9-4mamba
- rebuilt devel

* Thu Apr 15 2010 gil <puntogil@libero.it> 5.9-3mamba
- fix javadoc error

* Thu Jul 23 2009 gil <puntogil@libero.it> 5.9-2mamba
- added testng-maven-plugin sub package

* Sat Jun 06 2009 gil <puntogil@libero.it> 5.9-1mamba
- package created by autospec
